public class LightV2Tester {
    public static void main(String[] args) {
        LightV2 lightA = new LightV2();
        System.out.println("I created a new light referenced by A: " + lightA);
        LightV2 lightB = lightA;
        System.out.println("Light B references the same light: " + lightB);
        LightV2 lightC = new LightV2();
        System.out.println("I created a second light: " + lightC);
        System.out.println("\"Light A is on\" is " + lightA.isOn() + "");
        System.out.println("There are " + LightV2.getNumberOfLights() + " lights");
        System.out.println("\"Light B (#" + lightB.getSerialNumber() + ") is on\" is " + lightB.isOn());
        lightA.setOn(true);
        System.out.println("I switched light A on");
        System.out.println("\"Light referenced by B (#" + lightB.getSerialNumber() + ") is on\" is " + lightB.isOn());
    }
}
